;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         Keith Suderman
;
; Script Function:
;	Script for OFP:DR that writes hotkeys to a text file so Lua can process them.
;

#NoEnv  ; Recommended for performance and compatibility with future AutoHotkey releases.
SendMode Input  ; Recommended for new scripts due to its superior speed and reliability.
SetWorkingDir %A_ScriptDir%  ; Ensures a consistent starting directory.

;; This is where we write the key stroke data.
COMMAND_FILE=hotkeys.data

#IfWinActive Dragon Rising

write(str)
{
	global COMMAND_FILE
	fileappend, %str%`n, %COMMAND_FILE%
}

;; Hotkey combos for CTRL, ALT, SHIFT + Function keys.
+F1:: write("+F1")
+F2:: write("+F2")
+F3:: write("+F3")
+F4:: write("+F4")
+F5:: write("+F5")
+F6:: write("+F6")
+F7:: write("+F7")
+F8:: write("+F8")
+F9:: write("+F9")
+F10:: write("+F10")
+F11:: write("+F11")
+F12:: write("+F12")

^F1:: write("^F1")
^F2:: write("^F2")
^F3:: write("^F3")
^F4:: write("^F4")
^F5:: write("^F5")
^F6:: write("^F6")
^F7:: write("^F7")
^F8:: write("^F8")
^F9:: write("^F9")
^F10:: write("^F10")
^F11:: write("^F11")
^F12:: write("^F12")

!F1:: write("!F1")
!F2:: write("!F2")
!F3:: write("!F3")
!F4:: write("!F4")
!F5:: write("!F5")
!F6:: write("!F6")
!F7:: write("!F7")
!F8:: write("!F8")
!F9:: write("!F9")
!F10:: write("!F10")
!F11:: write("!F11")
!F12:: write("!F12")

^+F1:: write("^+F1")
^+F2:: write("^+F2")
^+F3:: write("^+F3")
^+F4:: write("^+F4")
^+F5:: write("^+F5")
^+F6:: write("^+F6")
^+F7:: write("^+F7")
^+F8:: write("^+F8")
^+F9:: write("^+F9")
^+F10:: write("^+F10")
^+F11:: write("^+F11")
^+F12:: write("^+F12")

!+F1:: write("!+F1")
!+F2:: write("!+F2")
!+F3:: write("!+F3")
!+F4:: write("!+F4")
!+F5:: write("!+F5")
!+F6:: write("!+F6")
!+F7:: write("!+F7")
!+F8:: write("!+F8")
!+F9:: write("!+F9")
!+F10:: write("!+F10")
!+F11:: write("!+F11")
!+F12:: write("!+F12")

!^F1:: write("!^F1")
!^F2:: write("!^F2")
!^F3:: write("!^F3")
!^F4:: write("!^F4")
!^F5:: write("!^F5")
!^F6:: write("!^F6")
!^F7:: write("!^F7")
!^F8:: write("!^F8")
!^F9:: write("!^F9")
!^F10:: write("!^F10")
!^F11:: write("!^F11")
!^F12:: write("!^F12")

!^+F1:: write("!^+F1")
!^+F2:: write("!^+F2")
!^+F3:: write("!^+F3")
!^+F4:: write("!^+F4")
!^+F5:: write("!^+F5")
!^+F6:: write("!^+F6")
!^+F7:: write("!^+F7")
!^+F8:: write("!^+F8")
!^+F9:: write("!^+F9")
!^+F10:: write("!^+F10")
!^+F11:: write("!^+F11")
!^+F12:: write("!^+F12")

Numpad0:: write("Numpad0")
Numpad1:: write("Numpad1")
Numpad2:: write("Numpad2")
Numpad3:: write("Numpad3")
Numpad4:: write("Numpad4")
Numpad5:: write("Numpad5")
Numpad6:: write("Numpad6")
Numpad7:: write("Numpad7")
Numpad8:: write("Numpad8")
Numpad9:: write("Numpad9")



